# $Revision: 1.25 $, $Date: 2002/06/30 11:30:40 $
Summary:	Utility programs for the AWE32 sound driver
Summary(pl):	Programy pomocnicze dla sterownika SoundBlastera AWE32
Summary(ru):	    AWE32
Summary(uk):	̦    AWE32
Name:		awesfx
Version:	0.4.4
Release:	2
License:	GPL/distributable
Group:		Applications/Sound
Source0:	http://mitglied.tripod.de/iwai/%{name}-%{version}.tgz
Source2:	http://www.pvv.org/~thammer/localfiles/soundfonts_other/gu11-rom.zip
Patch0:		%{name}-make.patch
URL:		http://mitglied.tripod.de/iwai/awedrv.html#Utils
ExclusiveArch:	%{ix86} alpha ppc
BuildRequires:	unzip
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The awesfx package contains necessary utilities for the AWE32 sound
driver. This packaing contains the following programs:
 - sfxload - soundFont file loader
 - setfx - chorus/reverb effect loader
 - aweset - change the running mode of AWE driver
 - sf2text - convert SoundFont to readable text
 - text2sf - revert from text to SoundFont file
 - gusload - GUS PAT file loader
 - sfxtest - example program to control AWE driver

%description -l pl
Pakiet awesfx zawieta programy niezbdne dla wykorzystania moliwoci
sterownika SoundBlastera AWE32. Pakiet zawiera nastpujce programy:
 - sfxload - program adujcy SoundFonty
 - setfx - program adujcy efekty chorus/reverb
 - aweset - zmiana parametrw pracy sterownika AWE
 - sf2text - konwerter SoundFontw do postaci tekstowej
 - text2sf - konwerter z postaci tekstowej na SoundFont
 - gusload - program adujcy pliki PAT karty Gravis UltraSound
 - sfxtest - przykadowy program wykorzystujcy sterownika AWE

%description -l ru
 awesfx      AWE32.

%description -l uk
 awesfx ͦ ̦  ϧ  AWE32.

%package devel
Summary:	Header files for programs using AWE library
Summary(pl):	Pliki nagwkowe dla programw korzystajcych z biblioteki AWE
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
If you want to write programs using Sound Blaster AWE WaveTable, you
need these files.

%description devel -l pl
Jeli chcesz pisa programy wykorzystujce sterownik SoundBlastera AWE
bdziesz potrzebowa tych plikw.

%prep
%setup -q
mkdir gu11-rom
(cd gu11-rom
unzip %{SOURCE2}
)
%patch -p1

%build
xmkmf
%{__make} Makefiles
%{__make} OPT_FLAGS="%{rpmcflags}" SOSYMLINK="true"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_bindir},/bin} \
	$RPM_BUILD_ROOT%{_datadir}/midi/{soundfont,virtualbank}

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	_MANDIR=%{_mandir} \
	SOSYMLINK="true"

mv -f $RPM_BUILD_ROOT%{_bindir}/sfxload $RPM_BUILD_ROOT/bin/
mv -f gu11-rom/GU11-ROM.SF2 $RPM_BUILD_ROOT%{_datadir}/midi/soundfont/gu11-rom.sf2
mv -f samples/* $RPM_BUILD_ROOT%{_datadir}/midi/virtualbank

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/{ChangeLog.sfx,README,SBKtoSF2.txt} gu11-rom
%attr(755,root,root) /bin/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/midi
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/awe
%attr(755,root,root) %{_libdir}/lib*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: awesfx.spec,v $
Revision 1.25  2002/06/30 11:30:40  kloczek
- use new %doc.

Revision 1.24  2002/06/30 11:14:34  marcus
- rel.2.
- on ppc it compiles too

Revision 1.23  2002/04/25 15:50:44  arturs
fixed a small typo

Revision 1.22  2002/02/25 08:46:48  kloczek
- merge translations from KSI.

Revision 1.21  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/18 08:19:06  marcus
- fix in %%{_make} call,stb

Revision 1.19  2002/02/18 00:19:29  marcus
- new version 0.4.4

Revision 1.18  2002/02/17 20:27:25  marcus
-adapterized, rel. 3

Revision 1.17  2002/01/18 02:12:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/26 14:32:35  qboosh
- adapterized, s/BuildPrereq/BuildRequires/

Revision 1.15  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.14  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/18 02:01:25  kloczek
- spec adapterized.

Revision 1.12  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.11  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/31 01:02:15  kloczek
- release 2.

Revision 1.9  2000/03/30 10:10:47  wiget
BuildPrereq:  unzip

Revision 1.8  2000/03/02 22:59:00  mkochano
- RPM_OPT_FLAGS removed from Makefile (replaced by OPT_FLAGS).

Revision 1.7  2000/02/04 00:18:26  kloczek
- release 1 (in rawhide is 0.4.3a).

Revision 1.6  2000/02/04 00:16:03  kloczek
- release 3 (in rawhide is 2),
- beter separation between main and devel packages,
- removed SONAME symlinks from main,
- run /sbin.ldconfig in %post/%postun,
- changed permission on libraries to 755/root.root.

Revision 1.5  2000/02/03 13:13:41  mkochano
- Added polish descriptions, summaries and groups
- Header files in separate package (devel)
- Sample SoundFont moved to %{_datadir}/midi/soundfont/gu11-rom.sf2
- Sample Virtual Banks moved to %{_datadir}/midi/virtualbank
- More documentation (%doc)
- Added 'strip --strip-unneeded'
- Uses 'awe_voice.h' included in kernel sources.

Revision 1.4  1999/11/30 07:53:13  kloczek
- new %description,
- more rpm macros,
- some cosmetics and reorders.

Revision 1.3  1999/11/30 00:19:37  wiget
- version number changed to 0.4.3b (patches need sync)

Revision 1.2  1999/11/29 21:44:20  wiget
- adapter(ized)
- updated to 0.4.3b

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw
